package com.mints.goodmoney.mvp.model;

import java.io.Serializable;

/**
 * 描述：用户信息
 * 作者：孟崔广
 * 时间：2019/10/29 18:42
 * 邮箱：mengcga@163.com
 */
public class UserBean implements Serializable {

    private String token;
    private ConsumerBean consumer;

    public String getToken() {
        return token;
    }

    public ConsumerBean getConsumer() {
        return consumer;
    }

    public class ConsumerBean implements Serializable {

        private String head;
        private String openid;
        private String nickname;
        private String mobile;
        private String real_name;
        private String alipay_account;
        private String idcode;
        private String gameInfo;
        private double surplus;//余额
        private int coin;// 积分
        private long pk_id;// 用户id
        private boolean firstSignInApp;// 首次登录app true:首次

        public String getHead() {
            return head;
        }

        public String getOpenid() {
            return openid;
        }

        public String getNickName() {
            return nickname;
        }

        public String getMobile() {
            return mobile;
        }

        public String getReal_name() {
            return real_name;
        }

        public String getAlipay_account() {
            return alipay_account;
        }

        public String getIdcode() {
            return idcode;
        }

        public double getSurplus() {
            return surplus;
        }

        public int getCoin() {
            return coin;
        }

        public long getPk_id() {
            return pk_id;
        }

        public boolean isFirstSignInApp() {
            return firstSignInApp;
        }

        public String getGameInfo() {
            return gameInfo;
        }
    }
}
